## xbindkeys-config 0.1.3

=== Makefile ===
# makefile cre par Laurent VUIBERT

CC=	gcc -O3 -Wall
STD=	_GNU_SOURCE
GTK=	`gtk-config  --cflags --libs`
GTK2=	`gtk-config  --cflags`
OBJS=	xbindkeys_config.o menu.o middle.o speedc.o
NOM=    xbindkeys_config

prefix=	/usr

.c.o: 
	$(CC) $(GTK2) -D$(STD) -c $<

all: main

main: $(OBJS)
	$(CC) $(GTK) $(OBJS) -o $(NOM)

clean:
	rm -f *.o */*.o */*~ core $(NOM) *~
	rm -rf .v*

install:
	cp $(NOM) $(DESTDIR)$(prefix)/bin/

unistall: rm $(DESTDIR)$(prefix)/bin/$(NOM)

#End Makefile

=== debian/changelog ===
xbindkeys-config (0.1.3-3) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007383)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use cross toolchain. (Closes: #871375)

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 14:33:12 +0000

xbindkeys-config (0.1.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965882)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add targets in debian/rules.
    (Closes: #999054)

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Dec 2021 18:36:40 +0100

xbindkeys-config (0.1.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fcommon to workaround FTBFS with gcc 10.
    (Closes: #957969)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 09:23:46 +0200

xbindkeys-config (0.1.3-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with gcc-9. (Closes: #925862)

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:06:44 -0500

xbindkeys-config (0.1.3-2) unstable; urgency=low

  * Upload based *heavily* on work from Barry. Thanks!
  * Bug fix: "Gtk1.2 about to be removed from Debian [includes patch]",
    thanks to bdefreese@debian.org (Closes: #516204).
  * Build with Gtk2.
    + Makefile: Use pkg-config instead of gtk-config.
    + Change use of gtk_text with gtk_text_view.
  * Rebuild to pickup newer X libs. (Closes: #367527).
  * Lintian fixes: (Closes: #399774).
    + Update FSF address in debian/copyright.
    + Remove punctuation from short description.
    + Quote strings in menu file.
    + Thanks to Matti Pöllä for the fixes.
  * Version path to GPL license in copyright.
  * Add appropriate copyright holder to debian/copyright.
  * Replace use of pwd with $(CURDIR) in rules.
  * Replace GTK with GTK+ in description.
  * Fix hyphen used as minus and what-is entry in manpage.
  * Make clean not ignore errors.
  * Bump debhelper build-dep to >> 5.0.0.
    + Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.0.
    + Menu policy transition.
  * Removed watchfile, to fix: "debian/watch fails to report
    upstreams version", thanks to Raphael Geissert (Closes: #449787).

 -- Joerg Jaspert <joerg@debian.org>  Sat, 21 Mar 2009 19:46:17 +0100

xbindkeys-config (0.1.3-1) unstable; urgency=low

  * New Upstream Release.

 -- Joerg Jaspert <joerg@debian.org>  Sun,  8 Jun 2003 19:54:17 +0200

xbindkeys-config (0.1.2-2) unstable; urgency=low

  * Fix FTBFS with gcc-3.3 which doesnt like multi-line strings anymore.
    (closes: #196464)

 -- Joerg Jaspert <joerg@debian.org>  Sun,  8 Jun 2003 14:31:21 +0200

xbindkeys-config (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Joerg Jaspert <joerg@debian.org>  Tue,  4 Jun 2002 22:35:17 +0200

xbindkeys-config (0.1.1-1) unstable; urgency=low

  * New upstream release (closes: #146131, 146213)

 -- Joerg Jaspert <joerg@debian.org>  Wed,  8 May 2002 11:56:40 +0200

xbindkeys-config (0.1.0-1) unstable; urgency=low

  * Initial Release (closes: #145305)

 -- Joerg Jaspert <joerg@debian.org>  Tue, 30 Apr 2002 20:04:38 +0200

=== debian/control ===
Source: xbindkeys-config
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 7.0.0), libgtk2.0-dev
Standards-Version: 3.8.0

Package: xbindkeys-config
Architecture: any
Depends: ${shlibs:Depends}, xbindkeys
Description: an easy to use gtk program for configuring Xbindkeys
 GTK+ Configure program for xbindkeys.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PACKAGE := xbindkeys-config

t = $(CURDIR)/debian/$(PACKAGE)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -fcommon

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	CFLAGS='$(CFLAGS)' dh_auto_build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp xbindkeys_config $(t)/usr/bin/xbindkeys-config



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman debian/xbindkeys-config.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
